<template src="./create.htm"></template>

<script>

    import Vue from 'vue';
    import CreateInfo from './components/info/CreateInfoComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleBrandMixin from '../../mixins/handleBrandMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('create-info', CreateInfo);

    export default {

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleBrandMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Create brand from store, and redirect to given action (index, create).
             **/
            createBrand(action) {

                this.handleEntity('brand', action, route('admin.brands.store'));
            }
        }
    }

</script>